Debian Bug report logs - #243857
problem with 2 cds if one is not a d-i cd

version graph

Package: cdrom-detect; Maintainer for cdrom-detect is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdrom-detect is src:cdrom-detect.

Reported by: Ricardo Corral <ricardo@qucho.com>

Date: Thu, 15 Apr 2004 05:33:04 UTC

Severity: normal

Tags: patch

Merged with 268950

Fixed in version cdrom-detect/1.33

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#243857; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Ricardo Corral <ricardo@qucho.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Corral <ricardo@qucho.com>
To: submit@bugs.debian.org
Subject: installation-reports
Date: Wed, 14 Apr 2004 23:16:38 -0600
Package: installation-reports

Debian-installer-version:  (04/10/2004) http://gluck.debian.org/cdimage/testing/sarge_d-i/i386/beta3/sarge-i386-businesscard.iso
uname -a: Linux noisybox 2.4.25-1-386 #1 Tue Feb 24 08:11:13 EST 2004 i686 GNU/Linux
Date: 04/14/2004 04:00 AM MST (Mountain US) 
Method: CD burned image. Boot from CD (IDE2 Master), Default install option.  Ethernet NIC(DHCP autoconfigured) (connected to Cable internet modem) for extra packages installation.
Machine: Gateway Desktop
Processor: Inter(R) Pentium(R) 4 CPU 1700 Mhz
Memory: 1.25 Gb
Root Device: hdb: Maxtor 2B020H1, ATA DISK drive
Root Size/partition table: /dev/hdb1 ext3 18.3 GB  
Output of lspci:
pcilib: Cannot open /sys/bus/pci/devices
0000:00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev 03)
0000:00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 03)
0000:00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to PCI Bridge (rev 12)
0000:00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 12)
0000:00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 12)
0000:00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 12)
0000:00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 12)
0000:00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 12)
0000:00:1f.5 Multimedia audio controller: Intel Corp. 82801BA/BAM AC'97 Audio (rev 12)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX 440] (rev a3)
0000:02:08.0 Ethernet controller: Intel Corp. 82801BA/BAM/CA/CAM Ethernet Controller (rev 03)
0000:02:0a.0 Modem: Broadcom Corporation BCM4212 v.90 56k modem
0000:02:0b.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 09)

Base System Installation Checklist:

Initial boot worked:    [o ]
Configure network HW:   [ ]
Config network:         [o ]
Detect CD:              [e ]
Load installer modules: [ o]
Detect hard drives:     [o ]
Partition hard drives:  [o ]
Create file systems:    [o ]
Mount partitions:       [o ]
Install base system:    [o ]
Install boot loader:    [o ]
Reboot:                 [o ]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Comments/Problems:

The boot loader would not install an entry for WindowsXP located in my hda1. (no choice was given in the matter)

The partitioning utility referred to my HD's as 'IDE1 Master' and 'IDE1 Slave' this got me confused at first. (I was expecting the 
acostum linux way 'hda' and hdb')

While the installer detect my CDROM's drivers it gets confused if I have a CD inserted in the second drive. 
Due to such confusion the installer is unable to proceed. The installer loose track of what driver had the installer CD.
The same problem occurs ergardless of selecting 'default' installation or 'advance' installation.

The Debian mirror sites list provides you with no clue of the location of such mirrors. 
Without such information is hard to descide for a conveniently close mirror, therefore debian.org 'always' seems to be the better choice.
It would be nice to have the option to run apt-spy with the 'region/country' flag, to chose a more convenient mirror.

I found no way to select a prticular kernel ver. At least no documentation/help-screen to be found in how to achive 
a specific kernel instalation. (not even 'advance' installation) (this might be intentional with such minimal installation 
method, a 'note' in the installation about this would be nice :)

All my RAM is not been recognized. I asume this is because a precompiled kernel was installed. No word of this 
was told to me by the installer. (only an issue for newbies, like me, unaware of this kernel peculiarity)

ALSA still is not working :P

Regardless... was not a painful installation compared to Woody. :)




Bug 243857 cloned as bug 244821. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `cdrom-detect'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `cdrom-detect' to `cdrom-detect'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 243857 268950. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#243857; Package cdrom-detect. (Tue, 16 Mar 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 16 Mar 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #26 received at 243857@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: 243857@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch has been available in Ubuntu
Date: Tue, 16 Mar 2010 13:23:04 -0700
tags 243857 + patch
thanks

Hey,

Looks like this bug hasn't seen action for quite a while. It seems like
in the meantime, Ubuntu has fixed this bug. Check out this patch:

http://launchpadlibrarian.net/18656164/cdrom-detect-better-flow.patch

This code is in their current version of cdrom-detect and seems to work
well in the exact same situation that d-i fails. Can we get this patch
backported?

I can do a NMU if there is no real maintainer willing to step up.

Thanks!

-- 
Joshua Kwan




Added tag(s) patch. Request was from Joshua Kwan <joshk@triplehelix.org> to control@bugs.debian.org. (Tue, 16 Mar 2010 20:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#243857; Package cdrom-detect. (Tue, 16 Mar 2010 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to 243857@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 16 Mar 2010 21:57:07 GMT) Full text and rfc822 format available.

Message #33 received at 243857@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 243857@bugs.debian.org
Cc: Joshua Kwan <joshk@triplehelix.org>, Debian BTS Control <control@bugs.debian.org>
Subject: Re: Bug#243857: Patch has been available in Ubuntu
Date: Tue, 16 Mar 2010 22:55:01 +0100
tags 243857 + pending
thanks

On Tuesday 16 March 2010, Joshua Kwan wrote:
> Looks like this bug hasn't seen action for quite a while. It seems like
> in the meantime, Ubuntu has fixed this bug. Check out this patch:
> http://launchpadlibrarian.net/18656164/cdrom-detect-better-flow.patch

Thanks for the pointer.

> This code is in their current version of cdrom-detect and seems to work
> well in the exact same situation that d-i fails. Can we get this patch
> backported?

Part of the patch is already in our code. I've ported the rest and done 
some additional refactoring. Will commit after testing in the next few 
days.

> I can do a NMU if there is no real maintainer willing to step up.

An NMU (upload not from the D-I SVN repo) is never really a solution in the 
case of D-I as it tends to increase rather than reduce the work for 
maintainers. In general NMUs should not be needed where packages are 
maintained by a generally active team.
It also seems not indicated in this case as this is the first time a patch 
has been suggested for the issue.

Providing (preferably tested) patches against current SVN helps maintainers 
a lot more and is very much appreciated. Pinging maintainers on bug 
reports is also always appreciated.

Cheers,
FJP




Added tag(s) pending. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 16 Mar 2010 21:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#243857; Package cdrom-detect. (Tue, 16 Mar 2010 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 243857@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 16 Mar 2010 22:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 243857@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 243857@bugs.debian.org
Cc: Joshua Kwan <joshk@triplehelix.org>
Subject: Re: Bug#243857: Patch has been available in Ubuntu
Date: Tue, 16 Mar 2010 22:59:57 +0100
Hi Joshua,

On Tuesday 16 March 2010, Joshua Kwan wrote:
> Looks like this bug hasn't seen action for quite a while. It seems like
> in the meantime, Ubuntu has fixed this bug. Check out this patch:
>
> http://launchpadlibrarian.net/18656164/cdrom-detect-better-flow.patch

Thanks for the pointer.

> I can do a NMU if there is no real maintainer willing to step up.

An NMU is not required (and does not really reduce the work of maintainers 
anyway).

But a proper patch, preferably tested, that applies to the current version 
of the source package and that does not log messages saying "Ubuntu" would 
be most welcome. I would suggest changing the message to "... is not a 
valid installation CD" (especially as it does not actually test if it is a 
Debian or Ubuntu CD; if you'd happen to have a Debian CD in one drive and 
an Ubuntu CD in the other, it would accept either...).

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#243857; Package cdrom-detect. (Tue, 16 Mar 2010 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 16 Mar 2010 22:27:02 GMT) Full text and rfc822 format available.

Message #45 received at 243857@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 243857@bugs.debian.org
Cc: Joshua Kwan <joshk@triplehelix.org>
Subject: Re: Bug#243857: Patch has been available in Ubuntu
Date: Tue, 16 Mar 2010 23:25:04 +0100
On Tuesday 16 March 2010, Frans Pop wrote:
> On Tuesday 16 March 2010, Joshua Kwan wrote:
> > Looks like this bug hasn't seen action for quite a while. It seems
> > like in the meantime, Ubuntu has fixed this bug. Check out this patch:
> >
> > http://launchpadlibrarian.net/18656164/cdrom-detect-better-flow.patch
>
> Thanks for the pointer.
>
> > I can do a NMU if there is no real maintainer willing to step up.
>
> An NMU is not required (and does not really reduce the work of
> maintainers anyway).
>
> But a proper patch, preferably tested, that applies to the current
> version of the source package and that does not log messages saying
> "Ubuntu" would be most welcome. I would suggest changing the message to
> "... is not a valid installation CD" (especially as it does not actually
> test if it is a Debian or Ubuntu CD; if you'd happen to have a Debian CD
> in one drive and an Ubuntu CD in the other, it would accept either...).

Please ignore this mail. Apparently I had two versions open and by mistake 
also sent this early draft.




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 19:51:06 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Corral <ricardo@qucho.com>:
Bug acknowledged by developer. (Sat, 10 Jul 2010 19:51:06 GMT) Full text and rfc822 format available.

Message #50 received at 243857-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 243857-close@bugs.debian.org
Subject: Bug#243857: fixed in cdrom-detect 1.33
Date: Sat, 10 Jul 2010 19:47:12 +0000
Source: cdrom-detect
Source-Version: 1.33

We believe that the bug you reported is fixed in the latest version of
cdrom-detect, which is due to be installed in the Debian FTP archive:

cdrom-detect_1.33.dsc
  to main/c/cdrom-detect/cdrom-detect_1.33.dsc
cdrom-detect_1.33.tar.gz
  to main/c/cdrom-detect/cdrom-detect_1.33.tar.gz
cdrom-detect_1.33_all.udeb
  to main/c/cdrom-detect/cdrom-detect_1.33_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 243857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated cdrom-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jul 2010 21:21:11 +0200
Source: cdrom-detect
Binary: cdrom-detect
Architecture: source all
Version: 1.33
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 cdrom-detect - Detect CDROM devices and mount the CD (udeb)
Closes: 243857 588646
Changes: 
 cdrom-detect (1.33) unstable; urgency=low
 .
   [ Frans Pop ]
   * Port patch from Ubuntu to check that a CD is a valid installation CD.
     If not, proceed to check other devices. Closes: #243857.
 .
   [ Daniel Baumann ]
   * When mounting usb partitions, also try iso9660 for isohybrid image support.
     Closes: #588646.
 .
   [ Updated translations ]
   * Amharic (am.po) by Tegegne Tefera
   * Asturian (ast.po) by astur
   * Belarusian (be.po) by Viktar Siarheichyk
   * Bengali (bn.po) by Israt Jahan
   * Danish (da.po) by Jacob Sparre Andersen
   * German (de.po) by Holger Wansing
   * Persian (fa.po) by acathur
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Marce Villarino
   * Khmer (km.po) by Khoem Sokhem
   * Korean (ko.po) by Changwoo Ryu
   * Kurdish (ku.po) by Erdal Ronahi
   * Lithuanian (lt.po) by Kęstutis Biliūnas
   * Latvian (lv.po) by Aigars Mahinovs
   * Macedonian (mk.po) by Arangel Angov
   * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
   * Romanian (ro.po) by ioan-eugen stan
   * Slovenian (sl.po) by Vanja Cvelbar
   * Tamil (ta.po) by Dr,T,Vasudevan
   * Simplified Chinese (zh_CN.po) by 苏运强
Checksums-Sha1: 
 e730b36b06e6848fe96b69a6d780bef1cfd6b5f2 924 cdrom-detect_1.33.dsc
 acea90c9e0030c37eb153a362a8c2b8102711de6 110554 cdrom-detect_1.33.tar.gz
 d5d658df98c76a47c14310b7a5fde322042b1639 89514 cdrom-detect_1.33_all.udeb
Checksums-Sha256: 
 e96d6e02a82d00ff0d19df85905d9abfd96fee82fe099d066717dcf19da02119 924 cdrom-detect_1.33.dsc
 2a3fd791ac0435951a6dc58c5186bc0fc4f99a900032af17bfca8934f9ec9171 110554 cdrom-detect_1.33.tar.gz
 74d7cb7b4fc3cd693b877610a2b2ecbf1e2da8553149e002270ae2cf19f4628f 89514 cdrom-detect_1.33_all.udeb
Files: 
 63342dffe79393aa36f66bdc83ced028 924 debian-installer optional cdrom-detect_1.33.dsc
 d20ca98e69dbf4eda7ad34046d8557d2 110554 debian-installer optional cdrom-detect_1.33.tar.gz
 fb6aeccb773d3b27d99150f2388cc15b 89514 debian-installer optional cdrom-detect_1.33_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw4yPwACgkQ+C5cwEsrK54LqgCeK8pWRYSaz3MVmUyZFzVD3Qnm
qycAn1SmTQhnffodpde1Slq/3j02y9Qp
=Pgj7
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 19:51:07 GMT) Full text and rfc822 format available.

Notification sent to Pirana Selvanandan <pirana@gmail.com>:
Bug acknowledged by developer. (Sat, 10 Jul 2010 19:51:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Aug 2010 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:23:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.